Bug 60706 - hostname changed by ifup-post when CIPE tunnel opened at boot
Summary: hostname changed by ifup-post when CIPE tunnel opened at boot
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-05 03:53 UTC by Need Real Name
Modified: 2014-03-17 02:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 19:42:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-03-05 03:53:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8+) Gecko/20020222

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.get a CIPE tunnel between 2 boxes
2.add hostname to /etc/hosts corresponding with tunnel endpoint
3.service network restart

	

Actual Results:  hostname was changed to name obtained from /etc/hosts when bringing
up CIPE tunnel with corresponding IP addr.

also happens post-boot

Expected Results:  hostname shouldnt change

Additional info:

I fixed it with: (pseudo-patch)

# don't set hostname on ppp/slip connections
if [ "$2" = "boot" -a \
     need_hostname -a \
     "${DEVICE}" != lo -a \
     "${DEVICETYPE}" != "ppp" -a \
+     "${DEVICETYPE}" != "cipcb" -a \
     "${DEVICETYPE}" != "slip" ]; then
    echo "doing set_hostname ${DEVICE}"

Comment 1 Bill Nottingham 2005-09-29 19:42:15 UTC
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

If this persists on a current release, such as Fedora Core 4, please open a new bug.


Note You need to log in before you can comment on or make changes to this bug.